/*
 * Copyright (C) 2011 Atmark Techno, Inc. All Rights Reserved.
 */

/*
 * The code contained herein is licensed under the GNU General Public
 * License. You may obtain a copy of the GNU General Public License
 * Version 2 or later at the following locations:
 *
 * http://www.opensource.org/licenses/gpl-license.html
 * http://www.gnu.org/copyleft/gpl.html
 */

#include <linux/platform_device.h>
#include <mach/common.h>
#include "armadillo400_iomux.h"

#if defined(CONFIG_ARMADILLO400_USB_POWER_VIN)
char usbh2_regulator[] = "usb-vin-power";
char usbotg_regulator[] = "usb-vin-power";
#elif defined(CONFIG_ARMADILLO400_USB_POWER_PMIC)
char usbh2_regulator[] = "usb-pmic-power";
char usbotg_regulator[] = "usb-pmic-power";
#endif

static struct pad_desc armadillo400_usb_pads[] = {
	MX25_PAD_NFWE_B__GPIO_3_26(),
};

void __init armadillo400_usb_init(void)
{
	mxc_iomux_v3_setup_multiple_pads(armadillo400_usb_pads,
					 ARRAY_SIZE(armadillo400_usb_pads));
}
